This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 818103 - [abrt] exaile-0.3.2.2-2.fc16: playlists.py:1055:button_press:TypeError: 'NoneType' object is not iterable
[abrt] exaile-0.3.2.2-2.fc16: playlists.py:1055:button_press:TypeError: 'None...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:cc270cba465bacc052a886e5430...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 04:43 EDT by Aleksandra Fedorova
Modified: 2012-12-20 10:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandra Fedorova 2012-05-02 04:43:30 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
comment:        Don't know for sure. Right click on the song list or something like that.
executable:     /usr/share/exaile/exaile.py
kernel:         3.3.2-1.fc16.x86_64
reason:         playlists.py:1055:button_press:TypeError: 'NoneType' object is not iterable
time:           Wed 02 May 2012 10:38:48 AM CEST
uid:            500
username:       bookwar

backtrace:
:playlists.py:1055:button_press:TypeError: 'NoneType' object is not iterable
:
:Traceback (most recent call last):
:  File "/usr/share/exaile/xlgui/guiutil.py", line 428, in on_button_press
:    return self.container.button_press(button, event)
:  File "/usr/share/exaile/xlgui/panel/playlists.py", line 1055, in button_press
:    (path, position) = self.tree.get_dest_row_at_pos(int(event.x), int(event.y))
:TypeError: 'NoneType' object is not iterable
:
:Local variables in innermost frame:
:button: <PlaylistDragTreeView object at 0x33199b0 (GtkTreeView at 0x31ab1a0)>
:event: <gtk.gdk.Event at 0x304cf30: GDK_BUTTON_PRESS x=144.00, y=310.00, button=3>
:self: <PlaylistsPanel object at 0x3319870 (xlgui+panel+playlists+PlaylistsPanel at 0x2704960)>
Comment 1 Fedora Update System 2012-09-24 19:39:02 EDT
exaile-3.3.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/exaile-3.3.0-1.fc16
Comment 2 Fedora Update System 2012-09-26 05:16:57 EDT
Package exaile-3.3.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-3.3.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14800/exaile-3.3.0-1.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-20 10:49:41 EST
exaile-3.3.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.